/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.evasion.entity;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Lob;

/**
 *
 * @author user
 */
@Entity
public class Corporation extends Person {

    /**
     * UID de serialisation.
     */
    private static final long serialVersionUID = 1L;
    /**
     * Description de l'activité de la personne morale.
     */
    @Lob
    @Column(nullable = false, length = 1500)
    private String description;
    /**
     * Chemin vers le logo.
     */
    @Lob
    @Column(nullable=true)
    private String logo;

    /**
     * Constructeur par defaut.
     */
    public Corporation() {
    }

    /**
     * Constructeur avance.
     * @param nom nom de la personne morale;
     * @param email {@link com.evasion.entity.Person#email};
     * @param description {@link com.evasion.entity.Corporation#description};
     */
    public Corporation(final String nom, final String email, final String description) {
        super(nom, email);
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * Getter de logo.
     * @return chemin vers le logo;
     */
    public String getLogo() {
        return logo;
    }

    /**
     * Setter de logo.
     * @param logo chemin vers le logo;
     */
    public void setLogo(String logo) {
        this.logo = logo;
    }
}
